//
//  ConsoleSheetView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI
import PulseUI

struct ConsoleSheetView: View {
  @Binding var showingConsoleSheet: Bool
  
  var body: some View {
    NavigationStack {
      List {
        NavigationLink {
          ConsoleView(mode: .network)
            .closeButtonHidden()
        } label: {
          Text("Network Console")
        }
        NavigationLink {
          ConsoleView(mode: .logs)
            .closeButtonHidden()
        } label: {
          Text("Logs Console")
        }
      }
      .toolbar {
        Button {
          showingConsoleSheet.toggle()
        } label: {
          Text("Done")
        }
      }
    }
  }
}

#Preview {
  ConsoleSheetView(showingConsoleSheet: .constant(true))
}
