//
//  ContentView.swift
//  Jel
//
//  Created by zerocool on 12/11/23.
//

import SwiftUI
import PulseUI

struct ContentView: View {
  @ObservedObject var authState: AuthStateController
  
  @State var showingConsoleSheet: Bool = false
  var body: some View {
    VStack {
      Button {
        showingConsoleSheet.toggle()
      } label: {
        Label("Console", systemImage: "network")
      }
      .sheet(isPresented: $showingConsoleSheet) {
        ConsoleSheetView(showingConsoleSheet: $showingConsoleSheet)
      }
      
      if !authState.loggedIn {
        SignInView(authState: authState)
      } else {
        Text("Logged in")
        Button("Log out") {
          authState.loggedIn = false
          authState.save()
        }
      }
    }
    .padding()
  }
}

#Preview {
  ContentView(authState: AuthStateController())
}
